Bug 1264711 - Automatic Login doesn't work with multi-user target
Automatic Login doesn't work with multi-user target
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm (Show other bugs)
7.0
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 19:20 EDT by sadasivan shaiju
Modified: 2015-09-22 15:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 15:29:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sadasivan shaiju 2015-09-20 19:20:22 EDT
Description of problem:

Automatic Login  does not  work  with multi-user.target

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  
systemctl set-default muti-user.target
2.
Contents of  /etc/gdm/custom.conf
[daemon]
AutomaticLoginEnable = true
AutomaticLogin = root

3.

Actual results:

console  comes to login prompt

Expected results:

It should  automatically login  as  root

Additional info:

This  feature works in Redhat 6.5
Comment 1 Ray Strode [halfline] 2015-09-21 15:29:57 EDT
multi-user.target is the equivalent of "runlevel 3" in rhel 6. 

AutomaticLogin only works from graphical.target ("runlevel 5" in rhel 6).

I hope that clears things up.  If you have any further questions feel free to contact a support representative at https://access.redhat.com/support/
Comment 2 sadasivan shaiju 2015-09-21 16:51:07 EDT
Automatic  Login works  for  runlevel 3  in  RHEL6 .  I am  using  that  in  my
ISO .  I create  the  ISO using   kickstart file .   But  the  same  thing  is  not  working in RHEl 7 .  It  is a  bug.
Comment 3 Ray Strode [halfline] 2015-09-22 15:20:49 EDT
Hi,

runlevel 3 and multi-user.target are for booting to gettys (text login on prompts) on the console virtual terminals.

If GDM managed to get started in runlevel 3 to initiate an autologin session in RHEL 6 that's unexpected behavior. GDM isn't supposed to run in runlevel 3.

You can change RHEL 7 to support autologin by booting to graphical.target using the command:

# systemctl set-default graphical.target

Note this ticket is now closed.  If you'd like to discuss this topic or any other topic further, please open a support case at https://access.redhat.com/support/ . You can reference this bugzilla bug number in your problem report.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.